summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2009-10-31 14:05:02 -0400
committerTavian Barnes <tavianator@gmail.com>2009-10-31 14:05:02 -0400
commit92efb5d0d7ba0c2b49cf189d5055bc0d9b09994c (patch)
tree8634a495a71efac721e1fae8fd2b61461fbcdea9 /tests
parentff94c67ce80d6baf4677c4564796e163b8d6b5aa (diff)
downloaddimension-92efb5d0d7ba0c2b49cf189d5055bc0d9b09994c.tar.xz
Implement dmnsn_print_astree_sexpr().
Diffstat (limited to 'tests')
-rwxr-xr-xtests/dimension/box.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/dimension/box.sh b/tests/dimension/box.sh
index 244b6fa..7a9f754 100755
--- a/tests/dimension/box.sh
+++ b/tests/dimension/box.sh
@@ -19,4 +19,14 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>. #
#########################################################################
+box=$(${top_builddir}/dimension/dimension --tokenize --parse ${srcdir}/box.pov)
+box_exp='(box { < - (float "0.125") , - (integer "1") , - (integer "1") > , < (float "0.125") , (integer "1") , (integer "1") > } box { < - (integer "1") , - (integer "1") , - (float "0.125") > , < (integer "1") , (integer "1") , (float "0.125") > })
+((box (vector (float -0.125) (float -1) (float -1)) (vector (float 0.125) (float 1) (float 1))) (box (vector (float -1) (float -1) (float -0.125)) (vector (float 1) (float 1) (float 0.125))))'
+
+if [ "$box" != "$box_exp" ]; then
+ echo "box.pov parsed as \"$box\"" >&2
+ echo " -- expected \"$box_exp\"" >&2
+ exit 1
+fi
+
${top_builddir}/dimension/dimension -o box.png ${srcdir}/box.pov